//*********************************************************************
// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//*********************************************************************
#ifndef ACTION_H
#define ACTION_H

#include "hashdb.h"

class Action {
public:
	Action() {}
	virtual ~Action() {}
	virtual bool operator()(Dictionaries *pdict, char *active_word) = 0;
};


class ActionAddAllMaster: public Action {
public:
	ActionAddAllMaster(): Action() {}
	bool operator()(Dictionaries *pdict, char *active_word) {
		ASSERT(pdict != 0);
		ASSERT(active_word != 0);
		pdict->getMaster()->setString(active_word);
		return false;
	}
};

class ActionAddAllMasterEnglish: public Action {
public:
	ActionAddAllMasterEnglish(): Action() {}
	bool operator()(Dictionaries *pdict, char *active_word) {
		ASSERT(pdict != 0);
		ASSERT(active_word != 0);
		pdict->getMaster()->setString(active_word);
		return false;
	}
};

class ActionAddAllUser: public Action {
public:
	ActionAddAllUser(): Action() {}
	bool operator()(Dictionaries *pdict, char *active_word) {
		ASSERT(pdict != 0);
		ASSERT(active_word != 0);
		pdict->getUser()->setString(active_word);
		return false;
	}
};

class ActionAddAllFixed: public Action {
public:
	ActionAddAllFixed(): Action() {}
	bool operator()(Dictionaries *pdict, char *active_word) {
		ASSERT(pdict != 0);
		ASSERT(active_word != 0);
		pdict->getFixed()->setString(active_word, true);
		return false;
	}
};

class ActionDumpAll: public Action {
public:
	ActionDumpAll(): Action() {}
	bool operator()(Dictionaries *pdict, char *active_word) {
		ASSERT(active_word != 0);
		(void) pdict;
		printf("%s\n", active_word);
		return false;
	}
};

#endif
