//****************************************************************************
// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//****************************************************************************

#ifndef ALIASDIALOG_H
#define ALIASDIALOG_H
#include "global.h"
#include <qdialog.h>

// forward declarations
class QLabel;
class QLineEdit;
class QPushButton;

class AliasDialog: public QDialog {
	Q_OBJECT

public:
	AliasDialog();

private slots:
	void clicked_next();
	void clicked_previous();
	void clicked_delete();
	void clicked_ok();


private:
	list<Global::Alias> alist_;
	list<Global::Alias>::iterator it_;

	QLabel *label1_;
	QLineEdit *alias_;

	QLabel *label2_;
	QLineEdit *replacement_;

	QPushButton *button_next_;
	QPushButton *button_previous_;
	QPushButton *button_delete_;
	QPushButton *button_ok_;
	QPushButton *button_cancel_;
};


#endif // ALIASDIALOG_H


