//*********************************************************************
// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//*********************************************************************

#ifndef COLORDIALOG_H
#define COLORDIALOG_H
#include "global.h"
#include <qdialog.h>
// forward declarations
class QLabel;
class QPushButton;

class ColorDialog: public QDialog {
	Q_OBJECT

public:
	ColorDialog();
	QColor getBackground() {
		return c_background_;
	}
	QColor getForeground() {
		return c_foreground_;
	}
	QColor getHighlight() {
		return c_highlight_;
	}
	QColor getTag1() {
		return c_tag1_;
	}
	QColor getTag2() {
		return c_tag2_;
	}
	QColor getTag3() {
		return c_tag3_;
	}
	QColor getTag4() {
		return c_tag4_;
	}

private slots:
	void clicked_reset();
	void clicked_background();
	void clicked_foreground();
	void clicked_highlight();
	void clicked_tag1();
	void clicked_tag2();
	void clicked_tag3();
	void clicked_tag4();

private:
	QLabel *label_background_;
	QPushButton *button_background_;
	QColor c_background_;

	QLabel *label_foreground_;
	QPushButton *button_foreground_;
	QColor c_foreground_;

	QLabel *label_highlight_;
	QPushButton *button_highlight_;
	QColor c_highlight_;

	QLabel *label_tag1_;
	QPushButton *button_tag1_;
	QColor c_tag1_;


	QLabel *label_tag2_;
	QPushButton *button_tag2_;
	QColor c_tag2_;


	QLabel *label_tag3_;
	QPushButton *button_tag3_;
	QColor c_tag3_;


	QLabel *label_tag4_;
	QPushButton *button_tag4_;
	QColor c_tag4_;


	QPushButton *button_reset_;
	QPushButton *button_ok_;
	QPushButton *button_cancel_;



};



#endif // DIFF_H


