// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//****************************************************************************

#ifndef CTAGS_DIALOG_H
#define CTAGS_DIALOG_H

#include "global.h"
#include <qdialog.h>

// forward declaration
class QLabel;
class QCheckBox;
class QPushButton;
class QLineEdit;

class CtagsDialog: public QDialog {
public:
	CtagsDialog();
	bool getLibc();
	bool getLatex();
	bool getPosixh();
	bool getGenerateLocalTags();
	QString getCmd();
	
private:
	QCheckBox *load_stdlib_;
	QCheckBox *load_posixh_;
	QCheckBox *load_latex_;
	QCheckBox *generate_local_tags_;
	QLineEdit *cmd_;
	QPushButton *button_reload_;
	QPushButton *button_cancel_;
};



#endif // CTAGS_DIALOGS_H


