// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//****************************************************************************

#ifndef DIFF_H
#define DIFF_H
#include "global.h"
#include <qdialog.h>

class QLabel;
class QPushbutton;
class Q3MultiLineEdit;
class QLineEdit;
class Q3SyntaxHighlighter;


class DiffDialog: public QDialog {
	Q_OBJECT

public:
	DiffDialog();
	QString getFile1();
	QString getFile2();

private slots:
	void clicked_browse1();
	void clicked_browse2();


private:
	QLabel *label1_;
	QLineEdit *file1_;
	QPushButton *button_browse1_;

	QLabel *label2_;
	QLineEdit *file2_;
	QPushButton *button_browse2_;

	QPushButton *button_ok_;
	QPushButton *button_cancel_;
};


class DiffWorksDialog: public QDialog {
	Q_OBJECT

public:
	DiffWorksDialog(QFont &fnt, QString file1, QString file2);

private slots:
	void clicked_next();
	void clicked_previous();

protected:
	void resizeEvent(QResizeEvent *);
private:
	Q3SyntaxHighlighter *syntax_;
	Q3MultiLineEdit *text_;
	QLabel *f1_;
	QLabel *f2_;

	QPushButton *button_next_;
	QPushButton *button_previous_;
	QPushButton *button_ok_;
};

class MergeWorksDialog: public QDialog {
	Q_OBJECT

public:
	MergeWorksDialog(QFont &fnt, QString file1, QString file2);

private slots:
	void clicked_next();
	void clicked_previous();
	void clicked_save();
	void clicked_ok();
	void clicked_one();
	void clicked_two();
	void textChanged();

protected:
	void resizeEvent(QResizeEvent *);
private:
	bool isMoreToMerge();
	
	bool saved_;
	Q3SyntaxHighlighter *syntax_;
	Q3MultiLineEdit *text_;
	QLabel *f1_;
	QLabel *f2_;

	QPushButton *button_next_;
	QPushButton *button_previous_;
	QPushButton *button_one_;
	QPushButton *button_two_;
	QPushButton *button_save_;
	QPushButton *button_ok_;
	QPushButton *button_cancel_;

};

#endif // DIFF_H


