//****************************************************************************
// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//****************************************************************************
#ifndef FFORMAT_H
#define FFORMAT_H
#include <qstring.h>
#include <qstringlist.h>

// file format
typedef enum {
	FILE_UTF8 = 0,
	FILE_ISO8859_1,
	FILE_ISO8859_2,
	FILE_ISO8859_3,
	FILE_ISO8859_4,
	FILE_ISO8859_5,
	FILE_ISO8859_6,
	FILE_ISO8859_7,
	FILE_ISO8859_8,
	FILE_ISO8859_9,
	FILE_ISO8859_10,
	FILE_ISO8859_11,
	FILE_ISO8859_12,
	FILE_ISO8859_13,
	FILE_ISO8859_14,
	FILE_ISO8859_15,
	FILE_ISO8859_16,
	FILE_CP1250,
	FILE_FORMAT_MAX // the last one, also used for unknown file formats
} FILE_FORMAT;

FILE_FORMAT ff_parse_arg(const char *arg);
const char *ff_str(FILE_FORMAT format);
QString ff_toUtf8(const char *str, FILE_FORMAT format);
void ff_populateList(QStringList &lst);

FILE_FORMAT ff_format(const char *codec);
#endif
