//****************************************************************************
// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//****************************************************************************
#ifndef FILEVISITOR_H
#define FILEVISITOR_H
#include <qstring.h>
#include <qfileinfo.h>

class FVisitor {
public:
	virtual ~FVisitor() {};
	virtual QString visit(QFileInfo *fi) = 0;
};

class FVisitorDirfiles: public FVisitor {
public:
	QString visit(QFileInfo *fi);
};

class FVisitorGrep: public FVisitor {
public:
	FVisitorGrep(QString tofind, bool cs, bool whole): tofind_(tofind), cs_(cs), whole_(whole) {}
	QString visit(QFileInfo *fi);
private:
	char *getLine(char *str);
	QString tofind_;
	bool cs_; // case sensitive flag
	bool whole_; // whole word flag
};

class FVBase {
public:
	FVBase(): 
		start_dir_(QString("")), file_filter_(QString("")), exclude_dir_filter_(QString("")), recursive_(true) {}
	FVBase(QString start_dir, QString file_filter, QString exclude_dir, bool recursive): 
		start_dir_(start_dir), file_filter_(file_filter), exclude_dir_filter_(exclude_dir), recursive_(recursive) {}
	QString walk(FVisitor *pfv);
private:
	QString start_dir_;
	QString file_filter_;
	QString exclude_dir_filter_;
	bool recursive_;
};

#endif
