//****************************************************************************
// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//****************************************************************************

#ifndef LINEANDNUMBER_H
#define LINEANDNUMBER_H

#include "global.h"


class LineAndColumn: public QWidget {
public:
	LineAndColumn(QWidget *parent, const char *name): QWidget(parent, name) {
		Q3VBoxLayout *vly = new Q3VBoxLayout(this, 1);
		vly->setAutoAdd(true);
	
		label_ = new QLabel("1/1", this);
	}

	void setText(const QString &text) {
		label_->setText(text);
	}
private:
	QLabel *label_;
};

class InsertOverwrite: public QWidget {
public:
	InsertOverwrite(QWidget *parent, const char *name): QWidget(parent, name) {
		Q3VBoxLayout *vly = new Q3VBoxLayout(this, 1);
		vly->setAutoAdd(true);
	
		label_ = new QLabel("Insert", this);
	}

	void setText(const QString &text) {
		label_->setText(text);
	}
private:
	QLabel *label_;
};

class FormatField: public QWidget {
public:
	FormatField(QWidget *parent, const char *name): QWidget(parent, name) {
		Q3VBoxLayout *vly = new Q3VBoxLayout(this, 1);
		vly->setAutoAdd(true);
	
		label_ = new QLabel(name, this);
	}

	void setText(const QString &text) {
		label_->setText(text);
	}
private:
	QLabel *label_;
};


#endif
