// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


#include "makedialog.h"
#ifdef USING_QT4
#include <Q3VBoxLayout>
#include <q3hbox.h>
#include <q3accel.h>
#include <QLabel>
#endif
#ifdef USING_QT3
#include <qlayout.h>
#include <qhbox.h>
#include <qaccel.h>
#include <qlabel.h>
#endif

#include <qpushbutton.h>
#include <qlineedit.h>
#include <qcheckbox.h>

//*****************************************************************************/
// ctags dialog
//*****************************************************************************/
MakeDialog::MakeDialog(): QDialog(0, "make dialog", true) {
	Q3VBoxLayout *vly = new Q3VBoxLayout(this, 10, 10);
	vly->setAutoAdd(true);

	Q3HBox *hbox1 = new Q3HBox(this);
	hbox1->setSpacing(10);
	new QLabel("command: ", hbox1);
	cmd_ = new QLineEdit(hbox1);
	cmd_->setText("make 2>&1");

	Q3HBox *hbox11 = new Q3HBox(this);
	hbox11->setSpacing(10);
	dont_show_ = new QCheckBox("don't show this again", hbox11);
	

	// some empty space
	Q3HBox *hbox2 = new Q3HBox(this);
	hbox2->setMargin(10);

	// accept/reject
	Q3HBox *hbox3 = new Q3HBox(this);
	hbox3->setSpacing(10);
	// some empty space
	(new QWidget(hbox3))->setMinimumWidth(80);
	(new QWidget(hbox3))->setMinimumWidth(80);
	button_ok_ = new QPushButton("Ok", hbox3);
	button_cancel_ = new QPushButton("Cancel", hbox3);
	connect(button_ok_, SIGNAL(clicked()), SLOT(accept()));
	connect(button_cancel_, SIGNAL(clicked()), SLOT(reject()));
//	setSizeGripEnabled(true);
}


QString MakeDialog::getCmd() {
	return cmd_->text();
}

bool MakeDialog::getDontShow() {
	return dont_show_->isChecked();
}
