//****************************************************************************
// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//****************************************************************************

#ifndef SINGLETON_H
#define SINGLETON_H
#include "debug.h"

template <class CLASS>
class Singleton {
public:
	// Meyer singleton implementation
	static CLASS *instance(bool del = false);
};

template <class CLASS>
CLASS *Singleton<CLASS>::instance(bool del) {
	static CLASS *pinstance = 0;
	if (pinstance == 0 && del == true);
	else if (pinstance == 0 && del == false)
		pinstance = new CLASS();
	else if (pinstance != 0 && del == false);
	else {
		delete pinstance;
		pinstance = 0;
	}

	return pinstance;
}


#endif

